Package com.collabnet.ce.soap60.webservices.cemain

# Class UserGroupSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.UserGroupSoapRow

public class UserGroupSoapRow extends Object
A list of User Groups, with group identifier.
Change History
Release: 6.1

- Renamed from GroupSoapList.

Since:
  6.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserGroupSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getFullName()`
  Returns 'fullName'.
  `String`
  `getId()`
  Returns 'id'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setFullName(String fullName)`
  Sets 'fullName'.
  `void`
  `setId(String id)`
  Sets 'id'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserGroupSoapRow

    public UserGroupSoapRow()

- ## Method Details

  - ### getFullName

    public String getFullName()
    Returns 'fullName'. User roup's full name.
    Returns:
      Value of 'fullName'.

  - ### setFullName

    public void setFullName(String fullName)
    Sets 'fullName'. User roup's full name.
    Parameters:
      `fullName` - Value of 'fullName'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. Group's description.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. Group's description.
    Parameters:
      `description` - Value of 'description'.

  - ### getId

    public String getId()
    Returns 'id'. Group's identifier.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. Group's identifier.
    Parameters:
      `id` - Value of 'id'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)